This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477834 - libprelude and libprelude-devel multilib conflicts
libprelude and libprelude-devel multilib conflicts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libprelude (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 20:44 EST by Philippe Troin
Modified: 2013-07-11 13:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 13:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2008-12-23 20:44:33 EST
Description of problem:

yum install libprelude.i386 libprelude.x86_64

yields:

  file /usr/bin/prelude-adduser conflicts between attempted installs of libprelude-0.9.21.2-1.fc10.x86_64 and libprelude-0.9.21.2-1.fc10.i386

yum install libprelude-devel.i386 libprelude-devel.x86_64

yields:

  file /usr/bin/libprelude-config conflicts between attempted installs of libprelude-devel-0.9.21.2-1.fc10.i386 and libprelude-devel-0.9.21.2-1.fc10.x86_64
  file /usr/include/libprelude/prelude-inttypes.h conflicts between attempted installs of libprelude-devel-0.9.21.2-1.fc10.i386 and libprelude-devel-0.9.21.2-1.fc10.x86_64

Version-Release number of selected component (if applicable):
libprelude-0.9.21.2-1.fc10
Comment 1 Philippe Troin 2009-06-28 04:28:33 EDT
Still present on F11 with libprelude-devel-0.9.21.2-9.fc11:

  file /usr/bin/libprelude-config conflicts between attempted installs of libprelude-devel-0.9.21.2-9.fc11.i586 and libprelude-devel-0.9.21.2-9.fc11.x86_64
  file /usr/include/libprelude/prelude-inttypes.h conflicts between attempted installs of libprelude-devel-0.9.21.2-9.fc11.i586 and libprelude-devel-0.9.21.2-9.fc11.x86_64
  file /usr/bin/prelude-adduser conflicts between attempted installs of libprelude-0.9.21.2-9.fc11.x86_64 and libprelude-0.9.21.2-9.fc11.i586
Comment 2 Philippe Troin 2010-02-15 17:18:25 EST
Still present in F12 with libprelude(?:-devel)?-0.9.24.1-1.fc12.
Comment 3 Philippe Troin 2010-06-10 18:25:11 EDT
Still present in F13.
Comment 4 Bug Zapper 2011-06-02 14:19:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 10:04:37 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Philippe Troin 2012-06-12 19:44:09 EDT
Still present in F17:

# yum -y install libprelude
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package 1:libprelude-1.0.0-12.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package libprelude.i686 1:1.0.0-12.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch         Version                   Repository      Size
================================================================================
Installing:
 libprelude         i686         1:1.0.0-12.fc17           fedora         772 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 772 k
Installed size: 6.3 M
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/prelude-adduser from install of libprelude-1:1.0.0-12.fc17.i686 conflicts with file from package libprelude-1:1.0.0-12.fc17.x86_64

Error Summary
-------------

[2]    12581 exit 1     noglob yum -y install libprelude
Comment 7 Fedora End Of Life 2013-07-04 02:53:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Steve Grubb 2013-07-11 13:57:51 EDT
Prelude has been retired.

Note You need to log in before you can comment on or make changes to this bug.